Qt 5.6 | Qt Sensors | C++ Classes | QCompass

Qt 5.6.3 Reference Documentation

# QCompass Class

The QCompass class is a convenience wrapper around QSensor. More...

Header: | #include <QCompass>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QCompass(QObject *parent = Q_NULLPTR)
virtual | ~QCompass()
QCompassReading * | reading() const

- 37 public functions inherited from QSensor

### Additional Inherited Members

- 20 properties inherited from QSensor
- 2 public slots inherited from QSensor
- 14 signals inherited from QSensor
- 3 static public members inherited from QSensor

## Detailed Description

The QCompass class is a convenience wrapper around QSensor.

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QCompassReading instead of a QSensorReading.

For details about how the sensor works, see QCompassReading.

See also QCompassReading.

## Member Function Documentation

### QCompass::QCompass(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QCompass::~QCompass()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QCompassReading *QCompass::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().